SA_YIELD(2)

NAME
sa_yield - idle a virtual processor

LIBRARY
libc

SYNOPSIS
#include <sa.h>
int
sa_yield();

DESCRIPTION
sa_yield() is used to idle a virtual processor on which the calling thread is running. It's typically used when the process's userland scheduler has no userland thread to run.

Scheduler activation should be enabled by sa_enable() beforehand.

RETURN VALUES
On success, sa_yield() will not return to userland in the normal way. It returns into an upcall hander with an upcall. Otherwise, a value of -1 is returned and errno is set to indicate the error.

SEE ALSO
sa_enable(2), pthread(3)